classification
Title: copyright clarification for audiotest.au
Type: Stage: test needed
Components: Tests Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: barry Nosy List: VanL, barry, benjamin.peterson, doko, ezio.melotti, loewis, pitrou
Priority: critical Keywords: needs review

Created on 2010-01-22 10:05 by doko, last changed 2010-05-05 16:18 by barry. This issue is now closed.

Files
File name Uploaded Description Edit
audiotest.au barry, 2010-03-04 20:15
guido.au barry, 2010-03-09 14:37
Messages (11)
msg98141 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2010-01-22 10:05
[forwarded from http://bugs.debian.org/565713]

If the bug submitter is correct about these, it would be nice to replace these, or clarify the copyright for these files.

"the python source packages contain a non-free audio clip that is
from Monty Python's Flying Circus, which is Copyright 1969.  i doubt
that the copyright holders have put any of that material into the
public domain, and the copyright term has not yet expired.

the files are:
 ./Lib/test/audiotest.au
 ./Lib/email/test/data/audiotest.au
"
msg100410 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-03-04 19:51
Any ideas on how to generate .au files these days?  We should fix this.
msg100411 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-03-04 19:55
There's an old discussion about this on python-dev: http://mail.python.org/pipermail/python-dev/2004-October/049578.html
msg100414 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-03-04 20:15
Let's go back to using this file.  It's taken from Python 1.5.1 and it's me saying "My hovercraft is full of eels".  I've already signed the contributor agreement.
msg100719 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-03-09 14:06
Hi Martin,

Conventional wisdom on #python-dev is that you have a Solaris machine that you could test this on.  Can you do that?  I'd like to get this patch into 2.6.6 if it works.
msg100723 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-03-09 14:37
Or maybe this one :)
msg102274 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-04-03 15:28
Lowering priority.
msg103848 - (view) Author: VanL (VanL) Date: 2010-04-21 14:10
However, a 3 second clip used for testing purposes in an open source programming language appears to meet the guidelines for fair use in the United States. In particular, no one is going to use the test clip as a substitute for any part of the Monty Python skit. There is no trading on the content of the clip to capture any value whatsoever; it could be a test beep and it would serve the same purpose. In short, I think this could go on under fair use principles until there was some sort of complaint. 

That said, the content of the sound file really doesn't matter in this instance. It could be replaced by a clip of Barry saying "My hovercraft is full of eels" and the same functionality would be preserved.
msg103849 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-04-21 14:17
Shouldn't "My hovercraft is full of eels" be considered an original creation of the Monty Python, and as such copyrighted?
msg103850 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-04-21 14:55
Note that guido.au is just him saying some crazy sh*t and I'm fairly certain couldn't be construed as copyrighted material (unless Guido is going to assert copyright over it :)
msg105054 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-05-05 16:18
trunk: r80793
py3k: 80795
History
Date User Action Args
2010-05-05 16:18:40barrysetstatus: open -> closed
resolution: fixed
messages: + msg105054
2010-05-05 13:54:50barrysetassignee: loewis -> barry
2010-04-21 14:55:20barrysetmessages: + msg103850
2010-04-21 14:17:00pitrousetnosy: + pitrou
messages: + msg103849
2010-04-21 14:10:45VanLsetnosy: + VanL
messages: + msg103848
2010-04-03 15:28:34benjamin.petersonsetpriority: release blocker -> critical
nosy: + benjamin.peterson
messages: + msg102274

2010-03-19 23:12:12barrysetpriority: deferred blocker -> release blocker
2010-03-09 14:37:56barrysetfiles: + guido.au

messages: + msg100723
2010-03-09 14:06:22barrysetpriority: normal -> deferred blocker

assignee: loewis

keywords: + needs review
nosy: + loewis
messages: + msg100719
stage: test needed
2010-03-04 20:15:09barrysetfiles: + audiotest.au

messages: + msg100414
2010-03-04 19:55:47ezio.melottisetmessages: + msg100411
2010-03-04 19:51:48barrysetmessages: + msg100410
2010-03-04 19:29:33barrysetnosy: + barry
2010-01-22 19:42:28ezio.melottisetpriority: normal
nosy: + ezio.melotti
2010-01-22 10:05:53dokocreate